doc::unibi_get_ext_num(3)

NAME
unibi_get_ext_bool, unibi_set_ext_bool, unibi_get_ext_num, unibi_set_ext_num, unibi_get_ext_str, unibi_set_ext_str - access the extended capabilities of a terminal object

SYNOPSIS
 #include <unibilium.h>

 int unibi_get_ext_bool(const unibi_term *ut, size_t i);
 int unibi_get_ext_num(const unibi_term *ut, size_t i);
 const char *unibi_get_ext_str(const unibi_term *ut, size_t i);

 void unibi_set_ext_bool(unibi_term *ut, size_t i, int b);
 void unibi_set_ext_num(unibi_term *ut, size_t i, int v);
 void unibi_set_ext_str(unibi_term *ut, size_t i, const char *s);

DESCRIPTION
Get/set extended boolean, numeric, and string capabilities. i is the index of the extended capability to act on; it must be less than unibi_count_ext_bool(ut), unibi_count_ext_num(ut), or unibi_count_ext_str(ut), respectively.

Note that "unibi_set_ext_str" simply stores the pointer it is given; it will not free s or make a copy of the string.

SEE ALSO
unibilium.h(3)